package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag940;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT940Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.mt9XXAbsCreator.MT940AbsCreator;

import java.util.List;

public class TagCycleCreator extends AbsTagCreate {

     private MT940Creator mt940Creator;

    public TagCycleCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt940Creator= (MT940Creator) absMTCreator;
    }


    public  void creator()
    {
        List<MT940AbsCreator> tagList = mt940Creator.getMt940AbsCreators();
        if(tagList!=null&&tagList.size()>0){
            for (MT940AbsCreator abs940 :tagList) {
                mt940Creator.set("61", abs940.getStatementLine());
                mt940Creator.set("86", abs940.getInformationToAccountOwner());
            }
        }
    }
}
